Bug 869405 - TypeError: __str__ returned non-string (type NoneType)
TypeError: __str__ returned non-string (type NoneType)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vratislav Podzimek
Fedora Extras Quality Assurance
abrt_hash:f7d397b2b9443255a15bed386a8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-23 15:34 EDT by Reartes Guillermo
Modified: 2012-11-23 01:02 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-23 01:02:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (240.76 KB, text/plain)
2012-10-23 15:34 EDT, Reartes Guillermo
no flags Details
File: product (6 bytes, text/plain)
2012-10-23 15:34 EDT, Reartes Guillermo
no flags Details
File: type (9 bytes, text/plain)
2012-10-23 15:34 EDT, Reartes Guillermo
no flags Details
File: ifcfg.log (641 bytes, text/plain)
2012-10-23 15:34 EDT, Reartes Guillermo
no flags Details
File: storage.log (90.76 KB, text/plain)
2012-10-23 15:34 EDT, Reartes Guillermo
no flags Details
File: version (11 bytes, text/plain)
2012-10-23 15:34 EDT, Reartes Guillermo
no flags Details
File: environ (780 bytes, text/plain)
2012-10-23 15:34 EDT, Reartes Guillermo
no flags Details
File: anaconda.log (7.88 KB, text/plain)
2012-10-23 15:34 EDT, Reartes Guillermo
no flags Details
File: syslog (61.66 KB, text/plain)
2012-10-23 15:34 EDT, Reartes Guillermo
no flags Details
File: hashmarkername (8 bytes, text/plain)
2012-10-23 15:34 EDT, Reartes Guillermo
no flags Details
File: packaging.log (2.38 KB, text/plain)
2012-10-23 15:34 EDT, Reartes Guillermo
no flags Details
File: cmdline_file (96 bytes, text/plain)
2012-10-23 15:34 EDT, Reartes Guillermo
no flags Details
File: release (24 bytes, text/plain)
2012-10-23 15:34 EDT, Reartes Guillermo
no flags Details
File: program.log (44.71 KB, text/plain)
2012-10-23 15:34 EDT, Reartes Guillermo
no flags Details

  None (edit)
Description Reartes Guillermo 2012-10-23 15:34:00 EDT
Description of problem:
in manual partitioning i deleted all partitions
tried to create a / partition with a ridiculosly high value in gb. (in the create new partition dialog)


Version-Release number of selected component:
anaconda-18.19

Additional info:
libreport version: 2.0.14
cmdline:        /usr/bin/python  /sbin/anaconda
kernel:         3.6.1-1.fc18.x86_64

description:
:The following was filed automatically by anaconda:
:anaconda 18.19 exception report
:Traceback (most recent call first):
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 1597, in on_add_clicked
:    % (dialog.size, self._free_space))
:TypeError: __str__ returned non-string (type NoneType)
Comment 1 Reartes Guillermo 2012-10-23 15:34:11 EDT
Created attachment 632343 [details]
File: anaconda-tb
Comment 2 Reartes Guillermo 2012-10-23 15:34:14 EDT
Created attachment 632344 [details]
File: product
Comment 3 Reartes Guillermo 2012-10-23 15:34:16 EDT
Created attachment 632345 [details]
File: type
Comment 4 Reartes Guillermo 2012-10-23 15:34:19 EDT
Created attachment 632346 [details]
File: ifcfg.log
Comment 5 Reartes Guillermo 2012-10-23 15:34:24 EDT
Created attachment 632347 [details]
File: storage.log
Comment 6 Reartes Guillermo 2012-10-23 15:34:26 EDT
Created attachment 632348 [details]
File: version
Comment 7 Reartes Guillermo 2012-10-23 15:34:29 EDT
Created attachment 632349 [details]
File: environ
Comment 8 Reartes Guillermo 2012-10-23 15:34:31 EDT
Created attachment 632350 [details]
File: anaconda.log
Comment 9 Reartes Guillermo 2012-10-23 15:34:39 EDT
Created attachment 632351 [details]
File: syslog
Comment 10 Reartes Guillermo 2012-10-23 15:34:41 EDT
Created attachment 632352 [details]
File: hashmarkername
Comment 11 Reartes Guillermo 2012-10-23 15:34:43 EDT
Created attachment 632353 [details]
File: packaging.log
Comment 12 Reartes Guillermo 2012-10-23 15:34:46 EDT
Created attachment 632354 [details]
File: cmdline_file
Comment 13 Reartes Guillermo 2012-10-23 15:34:49 EDT
Created attachment 632355 [details]
File: release
Comment 14 Reartes Guillermo 2012-10-23 15:34:52 EDT
Created attachment 632356 [details]
File: program.log
Comment 15 Steve Tyler 2012-11-05 23:14:19 EST
Create '/' mount point after entering many invalid names.
Set size to 10000000.... (as large as the dialog will accept)


Package: anaconda-18.25-1.fc18.x86_64
OS Release: Fedora release 18
Comment 16 Fedora Update System 2012-11-07 22:35:02 EST
anaconda-18.27-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.27-1.fc18
Comment 17 Fedora Update System 2012-11-08 22:22:35 EST
Package anaconda-18.27-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-18.27-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-17823/anaconda-18.27-1.fc18
then log in and leave karma (feedback).
Comment 18 Fedora Update System 2012-11-10 14:37:33 EST
Package anaconda-18.28-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-18.28-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-17823/anaconda-18.28-1.fc18
then log in and leave karma (feedback).
Comment 19 Adam Williamson 2012-11-23 01:02:24 EST
This bug looks to have been fixed for many anaconda builds now but missed being closed. If you find you are still experiencing it with Fedora 18 Beta (RC1) or later, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.